@echo off
cd /d "%~dp0"
regsvr32.exe TVTestVideoDecoder.ax /u /s
regsvr32.exe TvtAudioStretchFilter.ax /u /s
if %errorlevel% neq 0 (
    goto error
)
echo.
echo.
echo    フィルタのアンインストールに成功しました。
echo.
echo    TVTest 本体を削除する場合は、このフォルダごと削除してください。
echo.
goto done
:error
echo.
echo.
echo    フィルタのアンインストールに失敗しました…
echo.
echo    uninstall.bat を右クリックし、管理者として実行してください。
echo.
:done
echo    終了するには何かキーを押してください…
echo.
pause >NUL
